Subject: Re: [PATCH v4 1/7] ref_tracker: don't use %pK in pr_ostream() output

From: Jakub Kicinski <[email-masked]>
Date: Wed, 23 Apr 2025 16:46:55 -0700

On Fri, 18 Apr 2025 10:24:25 -0400 Jeff Layton wrote:
> -		pr_ostream(s, "%s@%pK: couldn't get stats, error %pe\n",
> +		pr_ostream(s, "%s@%p: couldn't get stats, error %pe\n",

FTR I think this is counter productive. 

Reference tracking is a debug feature and you may want to find that
object with a debugger and inspect it. That's not the same as random
drivers printing kernel addresses into logs for not apparent reason.

Does kmemleak use the hashed address representation? It's a very
similar situation.